Node Pools
All operations require authentication.
List nodepools of a managed Kubernetes clusterBeta
Path parameters
Managed kubernetes ID
Project ID
Headers
Pagination cursor
Pagination size
Response
Concurrency control hash of the target specification
Nodepool creation timestamp
Actual nodepool state
In-progress asynchronous operations on the nodepool
Unique identifier of the nodepool
Current lifecycle status of the nodepool
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGDesired nodepool specification
Last nodepool modification timestamp
Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId}/ nodepool \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "rollout": { "strategy": "IN_PLACE" }, "status": { "currentNodes": 0, "readyNodes": 0, "upToDateNodes": 0 }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": null, "key": null, "value": null } ], "unschedulable": true } } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": null, "key": null, "value": null } ], "unschedulable": true } } }, "updatedAt": "2024-01-01T12:00:00Z" }]
Get a nodepool of a managed Kubernetes clusterBeta
Path parameters
Managed kubernetes ID
Node pool ID
Project ID
Response
Concurrency control hash of the target specification
Nodepool creation timestamp
Actual nodepool state
In-progress asynchronous operations on the nodepool
Unique identifier of the nodepool
Current lifecycle status of the nodepool
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGDesired nodepool specification
Last nodepool modification timestamp
Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, nodePoolId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId}/ nodepool/ {nodePoolId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "rollout": { "strategy": "IN_PLACE" }, "status": { "currentNodes": 0, "readyNodes": 0, "upToDateNodes": 0 }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": "NoExecute", "key": "string", "value": "string" } ], "unschedulable": true } } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": "NoExecute", "key": "string", "value": "string" } ], "unschedulable": true } } }, "updatedAt": "2024-01-01T12:00:00Z"}
Create a nodepool in a managed Kubernetes clusterBeta
Path parameters
Managed kubernetes ID
Project ID
Request body (required)
Desired nodepool specification
Response
Concurrency control hash of the target specification
Nodepool creation timestamp
Actual nodepool state
In-progress asynchronous operations on the nodepool
Unique identifier of the nodepool
Current lifecycle status of the nodepool
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGDesired nodepool specification
Last nodepool modification timestamp
Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId}/ nodepool \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "rollout": { "strategy": "IN_PLACE" }, "status": { "currentNodes": 0, "readyNodes": 0, "upToDateNodes": 0 }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": "NoExecute", "key": "string", "value": "string" } ], "unschedulable": true } } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": "NoExecute", "key": "string", "value": "string" } ], "unschedulable": true } } }, "updatedAt": "2024-01-01T12:00:00Z"}
Delete a nodepool of a managed Kubernetes clusterBeta
Path parameters
Managed kubernetes ID
Node pool ID
Project ID
Response
Concurrency control hash of the target specification
Nodepool creation timestamp
Actual nodepool state
In-progress asynchronous operations on the nodepool
Unique identifier of the nodepool
Current lifecycle status of the nodepool
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGDesired nodepool specification
Last nodepool modification timestamp
Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, nodePoolId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId}/ nodepool/ {nodePoolId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "rollout": { "strategy": "IN_PLACE" }, "status": { "currentNodes": 0, "readyNodes": 0, "upToDateNodes": 0 }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": "NoExecute", "key": "string", "value": "string" } ], "unschedulable": true } } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": "NoExecute", "key": "string", "value": "string" } ], "unschedulable": true } } }, "updatedAt": "2024-01-01T12:00:00Z"}
Update a nodepool of a managed Kubernetes clusterBeta
Path parameters
Managed kubernetes ID
Node pool ID
Project ID
Request body (required)
Optional concurrency-control checksum. When supplied, it must match the resource's current checksum or the request is rejected with a 409 checksum-mismatch conflict. When omitted or empty, the concurrency check is skipped and the write is forced (last-write-wins).
Updated nodepool specification with mutable fields only
Response
Concurrency control hash of the target specification
Nodepool creation timestamp
Actual nodepool state
In-progress asynchronous operations on the nodepool
Unique identifier of the nodepool
Current lifecycle status of the nodepool
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGDesired nodepool specification
Last nodepool modification timestamp
Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, nodePoolId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId}/ nodepool/ {nodePoolId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "rollout": { "strategy": "IN_PLACE" }, "status": { "currentNodes": 0, "readyNodes": 0, "upToDateNodes": 0 }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": "NoExecute", "key": "string", "value": "string" } ], "unschedulable": true } } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": "NoExecute", "key": "string", "value": "string" } ], "unschedulable": true } } }, "updatedAt": "2024-01-01T12:00:00Z"}
List nodes of a managed Kubernetes cluster nodepoolBeta
Deleted nodes kept in retention are excluded unless includeDeleted is true.
Path parameters
Managed kubernetes ID
Node pool ID
Project ID
Query parameters
Include deleted nodes still kept in retention
Return only the nodes in this lifecycle status. Filtering on DELETED requires includeDeleted set to true, otherwise the request returns 400.
CREATINGDELETEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGHeaders
Pagination cursor
Pagination size
Response
Node creation timestamp
Actual node state
Unique identifier of the node
Current lifecycle status of the node
CREATINGDELETEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast node modification timestamp
Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, nodePoolId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId}/ nodepool/ {nodePoolId}/ node \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "deletedAt": "2024-01-01T12:00:00Z", "deployedAt": "2024-01-01T12:00:00Z", "flavor": "string", "instanceId": "00000000-0000-0000-0000-000000000000", "name": "string", "nodePoolId": "00000000-0000-0000-0000-000000000000", "upToDate": true, "version": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "updatedAt": "2024-01-01T12:00:00Z" }]
Get a node of a managed Kubernetes cluster nodepoolBeta
A deleted node kept in retention is returned with resourceStatus DELETED until it expires, after which the call returns 404.
Path parameters
Managed kubernetes ID
Node ID
Node pool ID
Project ID
Response
Node creation timestamp
Actual node state
Unique identifier of the node
Current lifecycle status of the node
CREATINGDELETEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast node modification timestamp
Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, nodeId = 00000000-0000-0000-0000-000000000000, nodePoolId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId}/ nodepool/ {nodePoolId}/ node/ {nodeId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "deletedAt": "2024-01-01T12:00:00Z", "deployedAt": "2024-01-01T12:00:00Z", "flavor": "string", "instanceId": "00000000-0000-0000-0000-000000000000", "name": "string", "nodePoolId": "00000000-0000-0000-0000-000000000000", "upToDate": true, "version": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "updatedAt": "2024-01-01T12:00:00Z"}
List all events related to a managed Kubernetes cluster nodepoolBeta
Path parameters
Managed kubernetes ID
Node pool ID
Project ID
Query parameters
Return only the events belonging to this task
Headers
Pagination cursor
Pagination size
Response
Creation date of the event
Nature of the event
Link to the event related resource
Description of what happened on the event
Type of the event
TARGET_SPEC_UPDATETASK_ERRORTASK_STARTTASK_SUCCESSExample uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, nodePoolId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId}/ nodepool/ {nodePoolId}/ event \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "link": "string", "message": "string", "type": "TARGET_SPEC_UPDATE" }]
List all tasks related to a managed Kubernetes cluster nodepoolBeta
Path parameters
Managed kubernetes ID
Node pool ID
Project ID
Headers
Pagination cursor
Pagination size
Response
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, nodePoolId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId}/ nodepool/ {nodePoolId}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z" }]
Get a specific task related to a managed Kubernetes cluster nodepoolBeta
Path parameters
Managed kubernetes ID
Node pool ID
Project ID
Task ID
Response
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, nodePoolId = 00000000-0000-0000-0000-000000000000, projectId = string, taskId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedKubernetes/ {managedKubernetesId}/ nodepool/ {nodePoolId}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}